Bug 1033031 - Windows: Service Response Time gadget not working in IE8/IE9
Windows: Service Response Time gadget not working in IE8/IE9
Status: CLOSED WONTFIX
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0
Unspecified Windows
unspecified Severity urgent
: ER6
: ---
Assigned To: Eric Wittmann
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 07:58 EST by Andrej Vano
Modified: 2015-08-02 19:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 16:18:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Vano 2013-11-21 07:58:32 EST
Description of problem: The SRT gadget is not working in Internet Explorer - showing just blank page. Appended error is logged by IE8


Version-Release number of selected component (if applicable):
6.0.0.ER6

How reproducible: 100%


Steps to Reproduce:
1. install FSW (change the install location, fill in the passwords, other settings leave default)
2. set collectionEnabled=true in /jboss-eap-6.1/standalone/configuration/overlord-rtgov.properties
3. start the server
4. access the gadget-web, add Service Response Times gadget. Following error is logged by IE8 and the gadget doesn't show any info

Actual results: the gadget doesn't work in IE8/IE9


Expected results:


Additional info:

Webpage error details

User Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.2; WOW64; Trident/4.0; .NET CLR 2.0.50727)
Timestamp: Thu, 21 Nov 2013 08:26:19 UTC


Message: 'CSSStyleDeclaration' is undefined
Line: 13
Char: 3
Code: 0
URI: http://localhost:8080/gadget-web/gadgets/concat?container=default&gadget=http%3A%2F%2Flocalhost%3A8080%2Fgadgets%2Frt-gadget%2Fgadget.xml&debug=0&nocache=0&type=js&1=http%3A%2F%2Flocalhost%3A8080%2Fgadgets%2Frt-gadget%2Fjquery-1.7.2.min.js&2=http%3A%2F%2Flocalhost%3A8080%2Fgadgets%2Frt-gadget%2Fd3.v2.js&3=http%3A%2F%2Flocalhost%3A8080%2Fgadgets%2Frt-gadget%2Fd3line.js&4=http%3A%2F%2Flocalhost%3A8080%2Fgadgets%2Frt-gadget%2Fd3legend.js&5=http%3A%2F%2Flocalhost%3A8080%2Fgadgets%2Frt-gadget%2Fd3linewithlegend.js&6=http%3A%2F%2Flocalhost%3A8080%2Fgadgets%2Frt-gadget%2Fnvtooltip.js&7=http%3A%2F%2Flocalhost%3A8080%2Fgadgets%2Frt-gadget%2Fgs-common.js


Message: 'console' is undefined
Line: 41
Char: 3
Code: 0
URI: http://localhost:8080/gadget-web/gadgets/ifr?url=http://localhost:8080/gadgets/rt-gadget/gadget.xml&view=home&serviceType= &operations= &refreshCycle=30
Comment 2 kconner 2013-11-22 16:18:08 EST
Closing as WONTFIX as we are no longer supporting IE8/IE9.

Note You need to log in before you can comment on or make changes to this bug.